Bug 879933 - Review Request: caelum - Add-on for the 3D graphics rendering engine OGRE
Summary: Review Request: caelum - Add-on for the 3D graphics rendering engine OGRE
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW rigsofrods
TreeView+ depends on / blocked
 
Reported: 2012-11-25 15:44 UTC by Pavel Alexeev
Modified: 2017-11-16 16:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-16 16:31:29 UTC
Type: ---


Attachments (Terms of Use)

Description Pavel Alexeev 2012-11-25 15:44:24 UTC
Spec URL: http://hubbitus.info/rpm/Fedora17/caelum/caelum.spec
SRPM URL: http://hubbitus.info/rpm/Fedora17/caelum/caelum-0.6.1-1.fc17.src.rpm
Description: Caelum is an add-on for the 3D graphics rendering engine OGRE, aimed to render atmospheric effects.
Fedora Account System Username: hubbitus

Comment 1 Volker Fröhlich 2012-11-25 19:39:47 UTC
The build fails for me:

"
-- Looking for C++ include OIS.h - not found
could not find the OIS includes. Please install them.
"

Not sure if this is the cause though.


?_isa (See SocketW comment!)

/usr has a macro

I think it should be enough to include lgpl.txt.

"Requires:       pkgconfig" should be in the section of the devel package and possibly as BR

BR cmake

Is this really a system wide library or rather a private one?

Comment 2 Susi Lehtola 2012-11-25 19:57:30 UTC
%build
cmake .
make %{?_smp_mflags}

%install
%make_install

mv %{buildroot}/usr/local/* %{buildroot}/usr/
rmdir %{buildroot}/usr/local/
# 64 path fix
mv %{buildroot}/usr/lib %{buildroot}/%{_libdir}


This is just plain wrong. Use

%build
%cmake .
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

which does everything it should.

Comment 3 Pavel Alexeev 2012-11-27 04:37:37 UTC
Susi Lehtola thanks to the hint.

(In reply to comment #1)
> The build fails for me:
> 
> "
> -- Looking for C++ include OIS.h - not found
> could not find the OIS includes. Please install them.
> "
> 
> Not sure if this is the cause though.
 
> ?_isa (See SocketW comment!)
fixed

> /usr has a macro
It is not sense in case of clearing unneeded files in string:
rm -rf %{buildroot}/usr/doc
because it is not install by correct path but clearing garbage instead by hardcoded path in build directory.

> I think it should be enough to include lgpl.txt.
And exclude gpl.txt? Why?
 
> "Requires:       pkgconfig" should be in the section of the devel package
> and possibly as BR
Moved. But I think it should be Require dependency.
Please look at 
http://fedoraproject.org/wiki/Packaging:Guidelines#Pkgconfig_Files_.28foo.pc.29
and http://fedoraproject.org/wiki/Archive:PackagingDrafts/pkgconfig

As moovind into devel is good catch, it may be also used by developer by hand as pkgconfig provide cli tool to query database.

> 
> BR cmake
Fixed.

> 
> Is this really a system wide library or rather a private one?
I threat it as system library. Why you are doubt?


http://hubbitus.info/rpm/Fedora17/caelum/caelum.spec
http://hubbitus.info/rpm/Fedora17/caelum/caelum-0.6.1-2.fc17.src.rpm

Comment 4 Volker Fröhlich 2012-12-16 11:41:50 UTC
>I threat it as system library. Why you are doubt?

Because there is no soname versioning.


>> I think it should be enough to include lgpl.txt.
>And exclude gpl.txt? Why?

Well, the caelum license is LGPL. I can't see a reason why you would include copies of other licenses.


The OIS.h issue isn't solved yet. All mock builds fail.

Comment 5 Pavel Alexeev 2013-02-09 20:33:00 UTC
(In reply to comment #4)
> >I threat it as system library. Why you are doubt?
> 
> Because there is no soname versioning.
It is because it just OGRE plugin.


> >> I think it should be enough to include lgpl.txt.
> >And exclude gpl.txt? Why?
> 
> Well, the caelum license is LGPL. I can't see a reason why you would include
> copies of other licenses.
> 
> 
> The OIS.h issue isn't solved yet. All mock builds fail.
Ok, BR ois-devel added.

Now it built ok: http://koji.fedoraproject.org/koji/taskinfo?taskID=4942772


https://github.com/Hubbitus/Fedora-packaging/commit/cbfe6d2e4b36d1935507f2154763ca53bb28918b
http://hubbitus.info/rpm/Fedora18/caelum/caelum-0.6.1-4.fc18.src.rpm

Comment 6 Upstream Release Monitoring 2016-01-09 21:14:17 UTC
hubbitus's scratch build of caelum-0.6.2-0.1.git.e776a80.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12487488

Comment 8 Upstream Release Monitoring 2016-01-25 08:26:26 UTC
hubbitus's scratch build of caelum-0.6.3-0.1.git.b33ce46.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12673865

Comment 10 Mattia Verga 2017-10-08 15:28:03 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/Astronomy.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/CaelumExceptions.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/CaelumPlugin.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/CaelumPrerequisites.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/CaelumScriptTranslator.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/CaelumSystem.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/CameraBoundElement.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/CloudSystem.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/DepthComposer.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/FastGpuParamRef.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/FlatCloudLayer.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/GroundFog.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/ImageStarfield.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/InternalUtilities.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/Moon.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/PointStarfield.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/PrecipitationController.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/PrivatePtr.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/SkyDome.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/SkyLight.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/Sun.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/TypeDescriptor.h
  caelum-debugsource :
  /usr/src/debug/caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64/main/include/UniversalClock.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v3 or later)", "GPL (v3)", "Unknown or generated". 62
     files have unknown license. Detailed output of licensecheck in
     /home/rpmbuild/caelum/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/.build-id(kde-
     platform-plugin, cups-client, efivar-libs, rsyslog, policycoreutils-
     python-utils, phonon, rpm-plugin-selinux, abrt, libimagequant, giflib,
     trousers, python2-h5py, libdb-utils, xorg-x11-font-utils, perl-Sys-
     Syslog, libcom_err, libseccomp, kf5-libgravatar, ksysguardd, p11-kit,
     rpm-build, libmodman, cfitsio, parted, gnome-disk-utility,
     kf5-kcontacts, libdvdread, zstd, bluez-libs, kf5-kjobwidgets, libwebp,
     libxslt, system-config-printer-udev, perl-Encode, elfutils,
     python2-cryptography, kf5-kdeclarative, libevdev, libgpg-error, kf5
     -kio-devel, lvm2-libs, kf5-sonnet-core, perl-Digest-SHA, kf5-solid,
     sddm, libzstd, kf5-kpimtextedit, avahi, symlinks, libzip,
     b43-fwcutter, e2fsprogs-libs, pulseaudio-libs, libdwarf,
     wxGTK3-webview, lcms2, kcm_systemd, qemu-guest-agent, ntfs-3g, libxcb,
     libyubikey, sssd-common-pac, postgresql-libs, rtkit, xcb-util-keysyms,
     kmail-account-wizard, m4, libgphoto2, lazarus, xcb-util, libwmf-lite,
     python3-coverage, rawtherapee, kamera, anaconda-widgets, http-parser,
     pulseaudio-utils, dolphin, kf5-kdelibs4support-libs, systemd-
     bootchart, kf5-kpackage, kf5-kfilemetadata, perl-Time-Piece, dbusmenu-
     qt, qca-qt5, ncurses-libs, libidn2, ldns, OpenEXR-libs,
     kf5-kmailtransport, fcoe-utils, libyui-mga-ncurses, xorg-x11-xkb-
     utils, ibus-hangul, NetworkManager-openvpn, libxkbfile, hplip-libs,
     libwvstreams, kf5-kglobalaccel-libs, xmlrpc-c-client, sane-backends-
     drivers-cameras, python3-hawkey, perl-Time-HiRes, cln, kf5-kdav,
     kactivitymanagerd, libacl, xorg-x11-drv-ati, kf5-solid-libs, libSM,
     policycoreutils, mcelog, abrt-plugin-bodhi, pptp, sane-backends-
     drivers-scanners, libXxf86misc, foomatic, minizip, nilfs-utils,
     kf5-kimap, konsole5-part, libicu-devel, pim-sieve-editor, libglvnd-
     gles, rpm-plugin-systemd-inhibit, setroubleshoot, gstreamer1, ykpers,
     dbus-libs, cairo-gobject, gutenprint, openal-soft, usermode, qpdf-
     libs, linux-atm-libs, kf5-syndication, libedit, openssh, subversion-
     libs, atk, python3-cairo, accountsservice, isl, hfsplus-tools,
     ImageMagick, perl-IPC-SysV, gssproxy, mesa-libGLU, libblockdev-btrfs,
     libatomic_ops, libmpcdec, gtk-update-icon-cache, kf5-kxmlgui, python3
     -iscsi-initiator-utils, libyui-ncurses, NetworkManager,
     NetworkManager-glib, libdatrie, linuxconsoletools, setuptool,
     ksysguard, kscreenlocker, guile, pcre-utf16, tree, isdn4k-utils,
     gnupg, cronie-anacron, libserf, xfsprogs, libcroco, plasma-nm-
     openswan, qt5-qtsensors, kf5-mailcommon, plymouth-plugin-label,
     colord-libs, perl-Unicode-Collate, kdegraphics-thumbnailers, gpgmepp,
     libgcab1, gwenview, libkgapi, hypervfcopyd, cronie, rpm-libs, kdelibs,
     authconfig, qt5-qtquickcontrols, libuv, nettle, libverto-libev,
     colord, libpipeline, pkcs11-helper, kf5-libkdcraw, kde-print-manager,
     findutils, popt, plasma-desktop, python2-xpyb, qt5-qtx11extras,
     libsss_idmap, imsettings-gsettings, libraw1394, boost-atomic, kf5
     -kross-ui, gcc-c++, python3-dbus, iproute-tc, isomd5sum, phd2, kruler,
     coolkey, python2-numpy, poppler-qt5, libXfont, PackageKit-glib, patch,
     sqlite-libs, lttng-ust, xcb-util-cursor, enchant, kf5-plasma,
     libXxf86dga, rhash, libwayland-client, kf5-kio-file-widgets, libipt,
     mdadm, xl2tpd, device-mapper, python2-librepo, libXtst, xapian-core-
     libs, irqbalance, kf5-kbookmarks, GeoIP, libpano13, libsigc++20,
     python2-talloc, libXrandr, newt, liba52, hplip, python2-libuser, crda,
     libical, qt5-qtdeclarative, kf5-libkexiv2, qt5-qtquickcontrols2,
     libXfont2, libblockdev-loop, libssh2, NetworkManager-adsl, open-vm-
     tools-desktop, plasma-nm-pptp, samba-dc-libs, dbusmenu-qt5,
     libXcursor, bridge-utils, kaccounts-integration, procps-ng, plymouth-
     core-libs, telnet, libXpm, phonon-backend-gstreamer, xorg-x11-drv-
     nouveau, zlib, qgpgme, gnustep-base-libs, pam_krb5, gutenprint-cups,
     grub2-tools-efi, xdg-desktop-portal-gtk, libselinux, libassuan, expat,
     cups-filters, iw, userspace-rcu, libgudev, python3-yui, ibus-
     libpinyin, setroubleshoot-server, plasma-discover, make, khelpcenter,
     libsoup, python2-astrometry, kmousetool, fuse, perl-Net-SSLeay, perl-
     Filter, cups-libs, libappstream-glib, kf5-kcoreaddons, libsepol, gzip,
     samba-client-libs, keyutils, libipa_hbac, libfdisk, kf5-messagelib,
     libdmx, openssl-libs, opencc, libreport-plugin-reportuploader, wcslib,
     cagibi, prison, ipset, kget-libs, libyui-gtk, keybinder3, deltarpm,
     kf5-kjsembed, fuse-libs, xorg-x11-xauth, libglvnd-glx, libktorrent,
     kwalletmanager, jsoncpp, json-glib, kf5-kglobalaccel, libX11-xcb,
     libfontenc, kf5-mailimporter-akonadi, xorg-x11-drv-vmware, sssd-
     common, NetworkManager-openconnect, btrfs-progs, bind99-libs,
     python3-pycurl, perl-Devel-PPPort, openconnect, sni-qt, mesa-libglapi,
     glx-utils, libkolabxml, PackageKit, kf5-kemoticons, python3-PyYAML,
     polkit-qt5-1, colord-kde, wpa_supplicant, libstdc++, ppp, git, perl-
     Compress-Raw-Bzip2, kf5-threadweaver, jack-audio-connection-kit,
     mpg123-libs, opus, git-core, libxklavier, traceroute, cyrus-sasl-
     plain, kde-style-breeze, libblockdev-crypto, kf5-karchive, pcsc-lite-
     ccid, mariadb-server-utils, rp-pppoe, libtheora, attr, mtr,
     libblockdev-part, libcanberra-gtk2, libcanberra-gtk3, libXrender,
     mtdev, kwin, systemd-udev, fftw-libs-single, libXvMC, polkit-gnome,
     kf5-kimageformats, kdepimlibs-kxmlrpcclient, libXmu, kget,
     python3-systemd, libicu, jasper-libs, device-mapper-libs,
     xorg-x11-xinit, python2-astropy, libffi, libGLEW, pcre-utf32,
     python2-hawkey, diffutils, chrony, time, mpfr, kf5-knotifyconfig,
     iputils, qt5-qtxmlpatterns, numactl-libs, tigervnc-server-minimal,
     gpgme, hypervvssd, kf5-kded, xorg-x11-drv-openchrome, libmcpp,
     libibverbs, gdb-headless, libqmi-utils, libmbim-utils, psacct, lame-
     libs, pycryptopp, kompare-libs, wvdial, libtirpc, iptables-libs, fftw,
     cryptsetup-libs, bind-libs, pygobject2, mesa-libwayland-egl,
     ghostscript-x11, libinput, qt5-qtdeclarative-devel, kf5-syntax-
     highlighting, libreport-cli, libpkgconf, python3-dmidecode, libyui-
     mga, abrt-gui-libs, signon-plugin-oauth2, im-chooser, qt5-qtsvg,
     xerces-c, libqmi, gawk, dmraid-events, plasma-nm, adwaita-gtk2-theme,
     libbasicobjects, plasma-integration, kdelibs-webkit, hdf5, rdma-core,
     sssd-krb5, libobjc, perl-Devel-Peek, libsmbclient, compat-openssl10,
     apper, recordmydesktop, abrt-addon-kerneloops, kf5-kidletime, xcb-
     util-renderutil, sssd-ad, libpinyin, nmap-ncat, logrotate,
     kf5-kcmutils, fpc, libdnet, flann, ntfsprogs, appstream-qt, abrt-libs,
     kf5-kio-ntlm, kf5-kidentitymanagement, baloo-libs, samba-common-libs,
     libreswan, libpsl, qt5-qtbase-mysql, libpasastro, python3-rpm,
     kf5-mailimporter, qupzilla, jimtcl, libuser, NetworkManager-libreswan,
     libnotify, kexec-tools, opensc, boost-date-time, libglade2, satyr,
     ccdciel, kf5-kparts, xorg-x11-drv-vesa, cifs-utils, libbabeltrace,
     vpnc, psmisc, net-snmp-libs, xorg-x11-drv-libinput, libsss_certmap,
     libblockdev-mpath, cairo, libgcc, gdisk, ilmbase, perl-Compress-Bzip2,
     poppler, mesa-dri-drivers, libstemmer, ibus-libzhuyin, fftw-libs-
     double, libconfig, ModemManager, abrt-gui, ibus-m17n, qt5-qtbase-gui,
     sgpio, orc, kdepimlibs-gpgme, polkit, libuuid, libarchive, ibus-gtk3,
     ibus-gtk2, jfsutils, akonadi-import-wizard, python2-libselinux,
     cryptsetup, udisks2, paps-libs, tcp_wrappers, xz, libXcomposite,
     plasma-discover-libs, pygtk2, vim-minimal, harfbuzz-icu, libplist,
     checkpolicy, xdg-user-dirs, kwin-common, libreport-plugin-logger, gdk-
     pixbuf2, kcalc, libreport, libevent, python2-cccolutils, tcpdump,
     libblockdev, spectacle, dconf, xz-libs, dbus-glib, libdvdnav,
     gwenview-libs, libcap, kf5-attica, kinfocenter, libwbclient, kf5-kio-
     widgets-libs, kf5-ki18n, libthai, fakeroot, kwebkitpart, qt5-qttools-
     libs-designer, nss-tools, adcli, iproute, python2-gpg, libsmartcols,
     konsole5, fakeroot-libs, os-prober, ethtool, libfprint, systemd-libs,
     cpio, util-linux, imsettings, krb5-libs, bison, net-tools,
     libpciaccess, libsss_autofs, kmod, libxml++, NetworkManager-pptp,
     plymouth, libkolab, sssd-client, kf5-kiconthemes, kf5-libkdepim-
     akonadi, kf5-kitemviews, libxkbcommon, device-mapper-multipath-libs,
     lockdev, kdesu, cups-filters-libs, kf5-knotifications, poppler-utils,
     xorg-x11-server-utils, gnupg2, kaccessible-libs, cracklib, libdnf,
     kdiagram, abrt-addon-pstoreoops, gnome-keyring, pulseaudio-libs-glib2,
     netpbm, qtsoap, nm-connection-editor, python3-pyparted, libudisks2,
     gstreamer1-plugins-bad-free, konqueror-libs, python3-setools,
     kf5-kholidays, zenity, chkconfig, kf5-kldap, hostname, iscsi-
     initiator-utils, kdialog, librados2, pam, python2-cffi, libkscreen-
     qt5, openldap, kf5-libkleo, gamin, kf5-ktexteditor, ipcalc, SDL, kde-
     print-manager-libs, speex, ibus-wayland, rest, libsamplerate,
     python2-lxml, samba-libs, boost-iostreams, subversion, systemtap-
     runtime, libusbmuxd, perl-Unicode-Normalize, libimobiledevice,
     kf5-calendarsupport, NetworkManager-wwan, polkit-pkla-compat, libmtp,
     kde-gtk-config, libpath_utils, python3-gobject-base, dnsmasq,
     libXfixes, smartmontools, libblkid, kdnssd, libcdio, NetworkManager-
     l2tp, libnova, rsync, webkitgtk4-jsc, lua-libs, abrt-addon-coredump-
     helper, soundtouch, xorg-x11-drv-evdev, libXinerama, khotkeys,
     libteam, qt5-qttools, elfutils-libs, jovie-libs, acl, libogg, ark-
     libs, xorg-x11-apps, redshift, kf5-kinit, kf5-khtml, libgee, qjson,
     unar, mesa-libEGL, knode, kf5-libksieve, python2-pyyaml, systemd-pam,
     libyui-mga-qt, perl-Storable, perl-Digest-MD5, kompare, libshout,
     keditbookmarks, perl-Sort-Key, ksshaskpass, libnfsidmap, nss-util,
     libsemanage, marisa, systemd-container, libcomps, libaec, file,
     kf5-kcompletion, libblockdev-fs, libnma, gettext, soxr, espeak,
     libutempter, libaccounts-glib, libmetalink, slang, kf5-akonadi-notes,
     cryptopp, pulseaudio, e2fsprogs, kf5-frameworkintegration-libs, grub2
     -tools-minimal, cpp, libksba, kdecoration, libwayland-server,
     indistarter, gdbm, libsndfile, bzip2-libs, kate4-part, gnutls, jack-
     audio-connection-kit-example-clients, libyui-mga-gtk, kf5-kpeople,
     device-mapper-persistent-data, python2-krbv, libselinux-utils, perl-
     Scalar-List-Utils, dosfstools, rng-tools, gnome-abrt, compat-
     openssl10-pkcs11-helper, nano, keyutils-libs, libproxy,
     libtimezonemap, audit-libs-python3, perl-Data-Dumper, kf5-kpty, vala,
     knode-libs, anaconda-core, libkworkspace5, akregator, plasma-pa,
     libatasmart, perl-XML-Parser, mlocate, file-libs, grub2-tools, avahi-
     glib, mokutil, libblockdev-swap, libnetfilter_conntrack,
     python3-gobject, libev, qca, plasma-pk-updates, pam-kwallet, fprintd-
     pam, libusbx, vconfig, kf5-kconfig-gui, qrencode-libs, libICE, drpm,
     createrepo_c-libs, kf5-kio-core, perl-Compress-Raw-Zlib, speexdsp,
     klt, upower, kf5-pimcommon, xcb-util-wm, diffstat, gtk2-devel,
     openssl, socat, PackageKit-Qt5, alsa-lib, python2-gobject, gtkmm24,
     kf5-akonadi-contacts, pyliblzma, python3-abrt, libffado, mariadb,
     libgnomekbd, libblockdev-kbd, ibus-rawcode, pciutils, libini_config,
     openssh-clients, libX11, kyotocabinet-libs, python3-pwquality,
     python3-cryptography, systemd, kwrited, grantlee-qt5, libnl3, gimp-
     libs, libidn, grubby, kf5-kio-gui, kcharselect, python3-libreport,
     mariadb-server, libbytesize, powerdevil, qaccessibilityclient, kf5
     -kactivities-libs, libnl3-cli, ibus-libs, python2-libcomps, kmenuedit,
     audit-libs, bluez, gettext-libs, kf5-kwidgetsaddons, libref_array, kf5
     -networkmanager-qt, plasma-workspace-geolocation, libyui, libcrypt-
     nss, plymouth-plugin-two-step, sbc, qt-x11, libhangul, bash,
     libblockdev-lvm, kpmcore, lvm2, harfbuzz, cups, libindi, dmraid,
     python3-wrapt, kde-partitionmanager, NetworkManager-libnm,
     python2-libs, kf5-kipi-plugins-libs, python2-scipy, lrzsz, libglvnd-
     egl, libunwind, unbound-libs, dhcp-libs, libtalloc, libtar,
     hypervkvpd, plasma-nm-openconnect, libepoxy, kf5-baloo-libs,
     kf5-kdelibs4support, perl-Variable-Magic, man-db, python2-dbus,
     kf5-kcalendarcore, perl-DBD-MySQL, mesa-libgbm, liblogging-stdlog,
     timedatex, kf5-grantleetheme, xdg-desktop-portal, kf5-bluez-qt,
     wireless-tools, libdb, plasma-workspace-drkonqi, passwd, cups-pk-
     helper, kf5-kalarmcal, quota, kmod-libs, NetworkManager-team, libdv,
     gutenprint-libs, lm_sensors-libs, desktop-file-utils, libXdamage,
     xorg-x11-utils, gcc-gdb-plugin, kf5-eventviews, gtkmm30, libgit2,
     qt5-qtmultimedia, kwrite, kscreen, gobject-introspection, kf5-kconfig-
     core, libpwquality, kf5-knewstuff, fontconfig, patchutils,
     libblockdev-dm, kf5-kservice, kaccessible, perl-Math-BigInt-FastCalc,
     libkworkspace, grep, libdaemon, mariadb-connector-c, flatpak,
     python3-librepo, libaccounts-qt5, pkgconf, json-c, astrometry,
     kf5-kauth, sed, sssd-ipa, pygtk2-libglade, ark, perl-threads-shared,
     glib-networking, kf5-akonadi-calendar, kpartx, libpng, ghostscript-
     core, sane-backends-libs, python3-pillow, util-linux-user, gpsd-libs,
     qt5-qtgraphicaleffects, libcollection, libgcrypt, pcsc-lite-libs,
     cairomm, perl-Unicode-UTF8, nss-softokn, geoclue2, lsof, at-spi2-atk,
     kf5-incidenceeditor, xorg-x11-server-Xorg, libmbim, plasma-workspace-
     libs, perl-IO, libverto, glibmm24, libXScrnSaver, realmd, ncurses,
     nfs-utils, graphite2, python3-kerberos, passwdqc-lib, libreport-
     plugin-kerneloops, gmp, sssd-krb5-common, volume_key-libs, cdparanoia-
     libs, alsa-plugins-pulseaudio, perl-interpreter, ebook-tools-libs,
     libksysguard-common, bluez-cups, libcurl, kf5-kcrash, coreutils,
     libcap-ng, dbus-x11, signon, pinentry, plasma-workspace-geolocation-
     libs, liblzf, librepo, kde-cli-tools, gsm, gsl, boost-filesystem,
     libtevent, kf5-sonnet-ui, libglvnd, gobject-introspection-devel,
     boost-system, libpcap, nspr, gimp-devel-tools, wxBase3, im-chooser-
     common, snappy, cyrus-sasl-lib, libdmtx, libdrm, pcre2,
     kf5-kcalendarutils, xmlrpc-c, herqq, perl-TermReadKey, kf5-akonadi-
     mime, qt5-qtwebkit, libpng-devel, perl-MIME-Base64, attica, kf5-baloo-
     file, pim-data-exporter-libs, sssd-nfs-idmap, kf5-akonadi-server,
     libmspack, libssh, qt5-qtimageformats, GConf2, glibc, plasma-milou,
     grantlee-editor-libs, proj, flatpak-libs, fipscheck, bc, gdk-
     pixbuf2-devel, wget, libzhuyin, libreport-web, libgomp, libexif,
     libkadm5, webrtc-audio-processing, libgusb, glib2, ImageMagick-libs,
     pcre2-utf16, libmnl, libmng, nss, pcre, tcp_wrappers-libs, sane-
     backends, gstreamer1-plugins-base, speech-dispatcher, pciutils-libs,
     libiptcdata, libmpc, libXi, openjpeg2, flac-libs, libXt, libXv, info,
     libnfnetlink, polkit-qt, libiec61883, pim-data-exporter, device-
     mapper-event, libreport-plugin-bugzilla, fftw-libs-quad, qt5-qtbase,
     qt5-qdbusviewer, libpskc, linux-atm, ibus, kdepimlibs, jwhois,
     libsss_sudo, curl, yelp-libs, cmake, qt5-qtwebengine, fipscheck-lib,
     kf5-akonadi-search, python2-pycurl, dos2unix, bluedevil, paps, abrt-
     tui, ustr, gtk3-devel, abrt-addon-xorg, libdhash, gnome-keyring-pam,
     kf5-kmime, sssd-proxy, imsettings-libs, gd, gc, python3-cups,
     libxshmfence, kgpg, libreport-plugin-systemd-journal, gstreamer1
     -plugins-ugly-free, atlas, unzip, gtk2, gtk3, libv4l, hfsutils, atkmm,
     npth, perl-Params-Util, systemtap-client, libyaml, plasma-breeze, xcb-
     util-image, m17n-lib, mozjs17, libblockdev-mdraid, exiv2-libs,
     lensfun, libunistring, reiserfs-utils, hugin-base, gstreamer1-plugins-
     good, python2-rpm, libasyncns, device-mapper-multipath, c-ares,
     xmlsec1-openssl, kdeplasma-addons, python2-cairo, jansson, bind-utils,
     kcolorchooser, librsvg2, apr, libsss_nss_idmap, kf5-kontactinterface,
     trousers-lib, zip, grantlee, bcache-tools, akregator-libs, plasma-
     user-manager, sudo, kdepimlibs-akonadi, harfbuzz-devel, libqalculate,
     bubblewrap, libtasn1, jbigkit-libs, alsa-utils, tar, kf5-kross-core,
     speech-dispatcher-espeak, keditbookmarks-libs, dhcp-client,
     wxBase3-devel, fprintd, gcc, dwz, kf5-kirigami2, xorg-x11-drv-qxl,
     gcr, kwalletmanager5, ebtables, libyui-qt, avahi-libs, qtwebkit, pigz,
     f2fs-tools, libao, perl-libs, systemtap-devel, lz4, kbd, wayland-
     devel, libwayland-cursor, openvpn, kf5-kdnssd, libfli, libwacom, lzo,
     dotconf, pango, libss, dbus, polkit-libs, perl-threads, perl-Params-
     Validate, python2-newt, pangomm, kf5-kguiaddons, mesa-libxatracker,
     kf5-kmailtransport-akonadi, nss-sysinit, LibRaw, libtidy,
     libsphinxclient, nss-mdns, python3-cffi, libXxf86vm, polkit-kde, kf5
     -kwallet-libs, vigra, fftw-libs-long, at-spi2-core, baloo-widgets,
     kf5-purpose, glibc-common, re2, kf5-kcodecs, kf5-libkdepim,
     kf5-kwindowsystem, kactivities-libs, qt5-qtlocation, python3-libxml2,
     libgfortran, stoken-libs, groff-base, python-pwquality, kfind, jovie,
     libusb, mesa-libGL, kf5-modemmanager-qt, abrt-addon-ccpp, libldb,
     sddm-kcm, kf5-kplotting, bind-libs-lite, NetworkManager-vpnc,
     kf5-ktnef, libXres, libcanberra, kf5-krunner, pcsc-lite, kf5-kio-core-
     libs, PackageKit-gstreamer-plugin, wavpack, kf5-kmbox, xorg-x11-drv-
     wacom, jemalloc, libsrtp, perl-Package-Stash-XS, qt5-linguist,
     qt5-qtscript, which, boost-chrono, samba-client, libaio, kio-extras,
     libquadmath, dyninst, createrepo_c, python2-markupsafe, libreport-gtk,
     lmdb-libs, kf5-kactivities-stats, xmlsec1, isns-utils-libs, plasma-nm-
     l2tp, kf5-kitemmodels, krb5-workstation, mcpp, freetype, libglvnd-
     opengl, kmouth, lz4-libs, usb_modeswitch, NetworkManager-wifi, qt,
     libfastjson, abrt-retrace-client, grantlee-editor, teamd, libvorbis,
     rpcbind, wxGTK3-media, pcre-cpp, python3-libselinux, kuser, kwin-libs,
     exiv2, iptables, libestr, qt5-qtwebchannel, gtest, kf5-libkipi, llvm-
     libs, doxygen, pulseaudio-module-bluetooth, kf5-kconfigwidgets,
     hardlink, passwdqc, libXft, libattr, qt5-qtbase-devel, perl-DBI,
     hyphen, p7zip-plugins, gnupg2-smime, webkitgtk4, rpm, kf5-kwallet,
     sssd-ldap, iptstate, glib2-devel, libreport-plugin-ureport, enblend,
     kf5-kdbusaddons, python3-libs, appstream, perl-PathTools, ipset-libs,
     netpbm-progs, kf5-kio-widgets, libksysguard, plasma-nm-vpnc, perl-
     Devel-Size, plymouth-graphics-libs, libxml2, kf5-frameworkintegration,
     iscsi-initiator-utils-iscsiuio, cyrus-sasl-gssapi, mpage, libsecret,
     openblas, p11-kit-trust, NetworkManager-bluetooth, augeas-libs,
     libsysfs, audit, wxGTK3-gl, abrt-dbus, gdk-pixbuf2-modules, binutils,
     plasma-workspace, nss-pem, python2-kerberos, less, libvpx, kf5-baloo,
     rpm-build-libs, libnghttp2, ostree-libs, libsolv, libxkbcommon-x11,
     libtdb, python3-gpg, libXdmcp, perl-Socket, apr-util, libvisual, kf5
     -pimcommon-akonadi, kf5-kunitconversion, python3, python2, konqueror,
     plasma-nm-openvpn, kf5-kwayland, minicom, astrometry-libs, perl-
     DB_File, shared-mime-info, SDL2, libsigsegv, boost-thread, dolphin-
     libs, shadow-utils, plasma-systemsettings, boost-random, libcgroup,
     libXaw, libXau, phonon-qt5, pulseaudio-module-x11, python3-libcomps,
     phonon-qt5-backend-gstreamer, libjpeg-turbo, libmount, spice-vdagent,
     xorg-x11-drv-fbdev, libavc1394, lldpad, libtiff, python3-libsemanage,
     kde-runtime-libs, ima-evm-utils, ed, python2-gobject-base, grub2
     -tools-extra, openssh-server, xplanet, kmag, taglib, libXext,
     libblockdev-utils, ModemManager-glib, dracut, ostree, device-mapper-
     event-libs, kde-runtime, kdelibs-ktexteditor, initscripts, hunspell,
     kdepim-apps-libs, webkitgtk4-plugin-process-gtk2, kf5-kjs,
     libieee1284, wxGTK3, akonadi, libndp, usbutils, kf5-ktextwidgets,
     bzip2, kf5-kxmlrpcclient, elfutils-libelf, nss-softokn-freebl, open-
     vm-tools, kf5-kdesu, kf5-kdoctools, libtool-ltdl, readline, openslp,
     sphinx, yelp, libkomparediff2, xorg-x11-drv-intel, perl-version),
     /usr/lib/.build-id/6a(libqmi-utils, xorg-x11-apps, open-vm-tools,
     libcroco, ImageMagick-libs, ibus, util-linux, kde-runtime-libs,
     python3-yui, libxcb, pcre2, samba-client-libs, coreutils, libindi,
     git-core, bind-libs-lite, iptables, kf5-kio-core, libgphoto2, perl-
     interpreter, ModemManager, mesa-dri-drivers, gstreamer1-plugins-good,
     libdrm, perl-Filter, openal-soft, kdeplasma-addons, gnome-keyring,
     nilfs-utils, kdelibs, gtk3-devel, pulseaudio, initscripts, qt5-qtbase)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in caelum-
     debuginfo , caelum-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?] Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: caelum-0.6.3-0.1.git.b33ce46.fc28.x86_64.rpm
          caelum-devel-0.6.3-0.1.git.b33ce46.fc28.x86_64.rpm
          caelum-debuginfo-0.6.3-0.1.git.b33ce46.fc28.x86_64.rpm
          caelum-debugsource-0.6.3-0.1.git.b33ce46.fc28.x86_64.rpm
          caelum-0.6.3-0.1.git.b33ce46.fc28.src.rpm
caelum-devel.x86_64: W: only-non-binary-in-usr-lib
caelum-devel.x86_64: W: no-documentation
caelum-debugsource.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: caelum-debuginfo-0.6.3-0.1.git.b33ce46.fc28.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
caelum-debugsource.x86_64: W: invalid-url URL: https://github.com/RigsOfRods/ogre-caelum <urlopen error [Errno -2] Name or service not known>
caelum-debugsource.x86_64: W: no-documentation
caelum-debuginfo.x86_64: W: invalid-url URL: https://github.com/RigsOfRods/ogre-caelum <urlopen error [Errno -2] Name or service not known>
caelum-devel.x86_64: W: invalid-url URL: https://github.com/RigsOfRods/ogre-caelum <urlopen error [Errno -2] Name or service not known>
caelum-devel.x86_64: W: only-non-binary-in-usr-lib
caelum-devel.x86_64: W: no-documentation
caelum.x86_64: W: invalid-url URL: https://github.com/RigsOfRods/ogre-caelum <urlopen error [Errno -2] Name or service not known>
4 packages and 0 specfiles checked; 0 errors, 7 warnings.



Requires
--------
caelum-debugsource (rpmlib, GLIBC filtered):

caelum-debuginfo (rpmlib, GLIBC filtered):

caelum-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    caelum(x86-64)
    pkgconfig

caelum (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libOgreMain.so.1.9.0()(64bit)
    libboost_system.so.1.64.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)



Provides
--------
caelum-debugsource:
    caelum-debugsource
    caelum-debugsource(x86-64)

caelum-debuginfo:
    caelum-debuginfo
    caelum-debuginfo(x86-64)
    debuginfo(build-id)

caelum-devel:
    caelum-devel
    caelum-devel(x86-64)
    pkgconfig(Caelum)

caelum:
    caelum
    caelum(x86-64)
    libCaelum.so()(64bit)



Unversioned so-files
--------------------
caelum: /usr/lib64/OGRE/libCaelum.so

Source checksums
----------------
https://github.com/RigsOfRods/ogre-caelum/archive/b33ce46e289e158e0ca2beae1265bec4cfcd7d1e.tar.gz#/caelum-b33ce46.tar.gz :
  CHECKSUM(SHA256) this package     : 014dc3cbf5dc8178587827bc5a5ff89721d8b0ae2d4f2fa31d39343d78b7dcce
  CHECKSUM(SHA256) upstream package : 014dc3cbf5dc8178587827bc5a5ff89721d8b0ae2d4f2fa31d39343d78b7dcce


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 879933 -r
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 11 Mattia Verga 2017-10-08 15:33:19 UTC
Seems that fedora-review gives some false positives: header files ARE in -devel subpackage, and that's ok; directory ownerships are ok.

Two things to correct:
- license files must be treated with the %license macro (not %doc)
- the version number you used is a pre-release ("0.1.git.b33ce46"), but that's not necessary, the commit you point is the actual release so you should use "1" as Release number.

Comment 12 Mattia Verga 2017-11-07 07:56:14 UTC
Review stalled. Response needed from the reporter.

Comment 13 Mattia Verga 2017-11-16 16:31:29 UTC
No response, marking it as FE-DEADREVIEW


Note You need to log in before you can comment on or make changes to this bug.